[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Atlas and lapack provide the same library..compiled differently... is that a problem?



Okay I ran across an interesting issue trying to get scipy compiled
with atlas support.

lapack and atlas both provide liblapack.so.3, in different locations,
but accessible to the linker.

scipy builds against atlas just fine, and runs on systems just
fine...unless lapack is installed on the system. Once lapack is
installed the link prefers the lapack package's version of the same
library and runtime errors occur.

I think I can work around this in scipy packaging... but the question
is, is it a general problem that lapack and atlas are providing link
incompatible versions of the same library?  The packages which
reqoquery --alldeps  lists for atlas   and lapack have a significant
overlap.  Are all those overlapping applications affected by this
runtime linking problem?

-jef


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]